namespace Brizco.Core.MartenServices.Abstracts;

public interface IBrewService : IScopedDependency
{
    public Task<object> GetLastBrewAsync(string recipeName, CancellationToken cancellationToken = default);
    public Task<BaseRecipeLDto> GetBrewAsync(string recipeName, CancellationToken cancellationToken = default);
    public Task AddBrewAsync(string recipeName, JsonDocument recipeObj, CancellationToken cancellationToken = default);
}